var _excluded = ["portal", "title", "arrow", "value", "onChange"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { useRef, useEffect } from 'react';
import DateRange from "./DateRange";

// 日期区间
function DateRangeBar(_ref) {
  var portal = _ref.portal,
    title = _ref.title,
    arrow = _ref.arrow,
    value = _ref.value,
    onChange = _ref.onChange,
    props = _objectWithoutProperties(_ref, _excluded);
  var dateRangeRef = useRef(null);

  // 将所有dropdown合并到一个数组里, 用于全量关闭
  useEffect(function () {
    if (!window.dropdownRefs) window.dropdownRefs = [];
    window.dropdownRefs.push(dateRangeRef);
    // eslint-disable-next-line
  }, []);
  function handleChange(newValue) {
    onChange && onChange(newValue);
  }
  return /*#__PURE__*/React.createElement(DateRange, _extends({
    ref: dateRangeRef,
    portal: portal,
    title: title,
    arrow: arrow,
    value: value,
    onChange: handleChange
  }, props));
}
export default DateRangeBar;